スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

Eclipse 3.5を余分なプラグインなしでインストール

今までの3.4環境にRadRailsを入れようと思って色々やってたら、いい感じに壊れていった。。
ということで、3.5を新たに入れ直す。ちなみに前のと一部内容がかぶる。

Eclipse 3.5.1 Classic
+
------- plugins -------
GEF
RadRails
WTP
JStyle
EclipseHTMLEditor
StrutsIDE
Property Editor
------- plugins -------

でインストールする。

■Eclipse Classicのインストール

Eclipse Classic(eclipse-SDK-VERSION-win32.zip)をダウンロードして解凍。

eclipseディレクトリをC:\Program Files\にコピー。

■GEFのインストール
Help -> Install New Software

Work withにhttp://download.eclipse.org/tools/gef/updates/releasesを入力してAddをクリック

Nameを「GEF Update Site」とかにしてOKをクリック

GEF SDK 3.5.1をチェックしてNextをクリック
もう1回Nextをクリック

I accept the terms of the license agreementsをチェックしてFinishをクリック

インストール後
Software Updates

It is strongly recommended you restart Eclipse SDK for the changes to
take effect. For some add-ons, it may be possible to apply the changes
you have made without restarting. Would you like to restart now?
と、Eclipse再起動を促されるのでYesをクリックして再起動。

■RadRailsのインストール

FireFoxを最初にインストールしておかないと、RadRailsインストール後、FireFox Extensionなんたらかんたらでエラーがでるから
インストールしておいた方がいい。

で、RadRailsのインストール。

http://aptana.com/radrails/download/
でInstallation Typeの選択をEclipse PluginにしてDownload Nowボタンをクリック
そうするとUpdate SiteのURLが表示されるからコピー。

Work withにコピーしたURLを貼り付けてAddをクリック

Nameを「RadRails Update Site」とかにしてOKをクリック

RailsをチェックしてNextをクリック
もう1回Nextをクリック

I accept the terms of the license agreementsをチェックしてFinishをクリック

途中、
Security Warning

Warning: You are installing software that contains unsigned content. The
authenticity or validity of this software cannot be established. Do you
want to continue with the installation?
とか警告ダイアログが出るけど、OKをクリックして継続。

インストール後
Software Updates

It is strongly recommended you restart Eclipse SDK for the changes to
take effect. For some add-ons, it may be possible to apply the changes
you have made without restarting. Would you like to restart now?
と、Eclipse再起動を促されるのでYesをクリックして再起動。

ひとつ気になるのはAptana Studio Professionalがセットでインストールされてしまうこと。
選択して抜くことができない。RadRailsのWebでは有料とかそういうことに触れてない。

有効期限がexpireしたとき何かあるんだろうか。その有効期限にも特に触れてないようだけど…。

■WTPのインストール

Help -> Install New Software

Work withにhttp://download.eclipse.org/webtools/updates/を入力してAddをクリック

Nameを「Web Tools Platform (WTP)」とかにしてOKをクリック

Web Tools Platform (WTP) 3.1.1とProject Provided ComponentsをチェックしてNextをクリック
もう1回Nextをクリック

I accept the terms of the license agreementsをチェックしてFinishをクリック

途中、
Security Warning

Warning: You are installing software that contains unsigned content The
authenticity or validity of this software cannot be established. Do you
want to continue with the installation?
とか警告ダイアログが出るけど、OKをクリックして継続。

インストール後
Software Updates

It is strongly recommended you restart Eclipse SDK for the changes to
take effect. For some add-ons, it may be possible to apply the changes
you have made without restarting. Would you like to restart now?
と、Eclipse再起動を促されるのでYesをクリックして再起動。

■JStyleのインストール

JStyle_VERSION.zipをダウンロードして解凍。

pluginsの中のjarファイルををC:\Program Files\eclipse\dropins\にコピー。

■EclipseHTMLEditorのインストール

tk.eclipse.plugin.htmleditor_VERSION.jar
をダウンロードして、C:\Program Files\eclipse\dropins\にコピー。

■StrutsIDEのインストール

tk.eclipse.plugin.struts_VERSION.jar
をダウンロードして、C:\Program Files\eclipse\dropins\にコピー。

Eclipseを再起動。

■Property Editorのインストール

Help -> Install New Software

Work withにhttp://propedit.sourceforge.jp/eclipse/updates/を入力してAddをクリック

Nameを「PropertiesEditor Update Site」とかにしてOKをクリック

PropertiesEditorをチェックしてNextをクリック
もう1回Nextをクリック

I accept the terms of the license agreementsをチェックしてFinishをクリック

■その他設定変更

Window → Preferences → Server → Runtime Environments → Add
→ Apache Tomcat v5.5を選択 → Next → Tomcat installation directoryにTomcatのインストールディレクトリ
(C:\Program Files\Apache Software Foundation\Tomcat 5.5)を指定
→ JREにjre6を選択 → Finish

起動時にMyRadRailsが表示されるのをやめたい場合は、
Window → Preferences → General → Startup and Shutdown → Aptana Introのチェックを外す
→ OK

■既存プロジェクトインポート

File → import → General → Existing Project into Workspace
→ Next → Select root directoryでプロジェクトのルートディレクトリを選択
→ 前のEclipseとworkspaceが違う場合、Copy projects into workspaceにチェック → Finish

…is raw typeとか出てくる場合
Window → Preferences → Java → Compiler → Errors/Warnings → Generic types
→ Usage of a raw typeをignore → OK

The serializable class hoge does not declare a static final serialVersionUID … とか出てくる場合
Window → Preferences → Java → Compiler → Errors/Warnings → Potential programming problems
→ Serializable class without serialVersionUIDをignore → OK

この記事のトラックバックURL

http://ysmt.blog21.fc2.com/tb.php/265-f0e015f9

Eclipseを余分なプラグインなしでインストール
Eclipse 3.4へのバージョンアップを機に余分なプラグインを入れないようにしたかった。 用途はとりあえずWebアプリ用。 ということで、 Eclips...

コメント

コメントする

管理者にだけ表示を許可する

Template Designed by DW99

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。